# Created: 6/10/2005
# This class is part of the 3DNA package

from string import join

from Basepair import Basepair
from parser_functions import contstr

__doc__ = "Class for base pairs not in helices."

class BasepairU(Basepair):
    """
    This is a subclass of Basepair.

    Arguments that are defined in BasepairU
    o counter - the countering number
    o orie_para - tuple of orientation parameters    
    """
    def __init__(self, id, counter, residue1, residue2, bp_para,\
                 iso_para, hbonds, hbond_num, bp_order, bp_label,\
                 bp_type, pat_id, orie_para):
        self.level = 'BU'
        Basepair.__init__(self, id, residue1, residue2, bp_para,\
                          iso_para, hbonds, hbond_num, bp_order,\
                          bp_label, bp_type, pat_id)
        self.counter = counter
        self.orientation = orie_para

    # Public methods

