# Created: 3/13/2005
# This class is part of the 3DNAParser package

########
# The Bio.PDB code is reused and modified for the 3DNAParser package.
#
# Copyright (C) 2002, Thomas Hamelryck (thamelry@vub.ac.be)
# This code is part of the Biopython distribution and governed by its
# license.  Please see the LICENSE file that should have been included
# as part of this package.  
########

__doc__ = "Chain class for Structure objects."

from Entity import Entity

class Chain(Entity):
    """
    o id - chain id
      type: string
    """
    def __init__(self, id):
        self.level = "C"
        Entity.__init__(self, id)

    # Special methods
    def __repr__(self):
        return "<Chain ID: %s>" % self.id

    # Private methods
    def _sort(self, r1, r2):
        """
        Sort function for residues in the chain.
        Sort by residue sequence
        Arguments:
        o r1, r2 - Residue objects
        """
        resseq1 = r1.get_resseq()
        resseq2 = r2.get_resseq()
        return cmp(resseq1, resseq2)

    # Public methods
