# Created: 8/5/2005
# Class for multiple patterns

import sys
from string import join

from Entity import ChildEntity

class MultiPattern(ChildEntity):
   """
   Attributes:
   o id - tuple of base-pairing pattern names (sorted)
     type: tuple of strings
   o mpat_name - name of the multiplet pattern
     type: int
   o res_num - the number of residues
     type: int
   o res_names - the string of base names of the multiplet
     type: string
   """
   def __init__(self, id, mpat_name, res_num, res_names):
      if type(mpat_name) is not int:
         print "Wrong mpat_name type"
         sys.exit(2)
      self.mpat_name = mpat_name
      self.res_num = res_num
      self.res_names = res_names
      ChildEntity.__init__(self, id)
      
   # Special methods
   def __repr__(self):
      return "<Multiplet: base-pair patterns = %s>" % str(self.id)

   # Public methods
   def sort(self):
      self.id.sort()
   
   def set_res_num(self, res_num):
      self.res_num = res_num

   def set_res_names(self, res_names):
      self.res_names = res_names
      
   def set_mpat_name(self, mpat_name):
      self.mpat_name = mpat_name
      
   #def update_isoclasses(self, iso_lists):
   #   for iso_class in iso_lists:
   #      if iso_class not in self.iso_classes:
   #         self.iso_classes.append(iso_class)
   #   self.iso_classes.sort()

   #def get_isoclasses(self):
   #   return self.iso_classes
         
   def get_res_num(self):
      return self.res_num
   
   def get_mpat_name(self):
      return self.mpat_name
   
   def get_res_names(self):
      return self.res_names
   
