# Created: 6/10/2005
# This class is part of the 3DNA package

from Entity import Entity

__doc__ = "Class for multiplet wrapper."

class MultiWrapper(Entity):
    """
    MultiWrapper class is a wrapper class containing information of
    higher-order base interactions.

    Arguments:
    o id - a label, usually using 'multiwrapper'
      type: string
    """
    def __init__(self, id):
        self.level = 'M'
        Entity.__init__(self, id)

    # Special methods
    def __repr__(self):
        return "<Multiple wrapper>"

    # Private methods
    def _sort(self, m1, m2):
        """
        Sort multiplets by counters.
        """
        return cmp(m1.get_counter(), m2.get_counter())

    # Public methods
    def sort(self):
        self.child_list.sort(self._sort)
        
    
