# Created: 6/10/2005
# This class is part of the 3DNA package

from Entity import Entity

__doc__ = "Helix object for base steps."

class SHelix(Entity):
    """
    SHelix is a class of helices that have base-pair steps.

    Arguements:
    o id - counter of helices, consistent with the id of Element
      type: int
    """
    def __init__(self, id):
        self.level = 'L'
        Entity.__init__(self, id)

    # Special methods
    def __repr__(self):
        return "<Helical region %i in StepWrapper>" % self.get_id()

    # Private methods
    def _sort(self, b1, b2):
        """
        Sort the SHelix by helix_seq of base steps
        """
        return cmp(b1.get_helix_seq(), b2.get_helix_seq())

    # Public methods
    def sort(self):
        self.child_list.sort(self._sort)
        
