# Created: 6/10/2005
# This class is part of the 3DNA package

from Entity import Entity

__doc__ = "Class for base-pair step wrapper."

class StepWrapper(Entity):
    """
    StepWrapper class is a wrapper class containing information of
    base-pair steps.

    Arguments:
    o id - a lable, usually using 'stepwrapper'
      type: string
    """
    def __init__(self, id):
        self.level = 'P'
        Entity.__init__(self, id)

    # Special methods
    def __repr__(self):
        return "<Base-pair step wrapper>"

    # Private methods
    def _sort(self, h1, h2):
        """
        Sort helix elements by ids (counters).
        """
        return cmp(h1.get_id(), h2.get_id())


    
