# Created: 6/10/2005
# This class is part of the 3DNAParser package

from Entity import Entity

__doc__ = "Class for tertiary interactions."

class Tertiary(Entity):
    """
    Tertiary interaction class.
    Arguments:
    o id - a label, usually using 'tertiary'
      type: string
    """
    def __init__(self, id):
        self.level = 'T'
        Entity.__init__(self, id)

    # Special methods
    def __repr__(self):
        return "<Tertiary element wrapper>"

    # Private methods
    def _sort(self, b1, b2):
        """
        Sort tertiary element (BasepairU) by basepair counters.
        """
        return cmp(b1.get_counter(), b2.get_counter())

    # Public methods
    def sort(self):
        self.child_list.sort(self._sort)
        
